<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.WatchMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.Watch">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="marking" property="marking" />
        <result column="name" property="name" />
        <result column="hardware_version" property="hardwareVersion" />
        <result column="software_version" property="softwareVersion" />
        <result column="operator" property="operator" />
        <result column="imei" property="imei" />
        <result column="serial_number" property="serialNumber" />
        <result column="storage" property="storage" />
        <result column="watch_bluetooth" property="watchBluetooth" />
        <result column="watch_mac" property="watchMac" />
        <result column="watch_battery" property="watchBattery" />
        <result column="mobile_bluetooth" property="mobileBluetooth" />
        <result column="mobile_mac" property="mobileMac" />
        <result column="mobile" property="mobile" />
        <result column="user_name" property="userName" />
        <result column="user_id" property="userId" />
        <result column="status" property="status" />
        <result column="on_time" property="onTime" />
        <result column="off_time" property="offTime" />
        <result column="first_bind_time" property="firstBindTime" />
        <result column="district_on_time" property="districtOnTime" />
        <result column="blue_status" property="blueStatus" />
        <result column="bind_status" property="bindStatus" />
        <result column="nfc_status" property="nfcStatus" />
        <result column="magnifier_status" property="magnifierStatus" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="agent_name" property="agentName" />
        <result column="property_name" property="propertyName" />
        <result column="district_name" property="districtName" />
        <result column="app_version" property="appVersion" />
        <result column="sys_version" property="sysVersion" />
        <result column="room_version" property="roomVersion" />
        <result column="network_type" property="networkType" />
        <result column="beacon_count" property="beaconCount" />
        <result column="stock_status" property="stockStatus" />
        <result column="voice_status" property="voiceStatus" />
        <result column="voice_value" property="voiceValue" />
        <result column="blue_work_state" property="blueWorkState" />
        <result column="app_customized_version" property="appCustomizedVersion" />
        <result column="app_customized_flag" property="appCustomizedFlag" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, marking, name, hardware_version, software_version, operator, imei, serial_number, storage, watch_bluetooth, watch_mac, watch_battery, mobile_bluetooth, mobile_mac, mobile, user_name, user_id, status, on_time, off_time, first_bind_time, district_on_time, blue_status, bind_status, nfc_status, magnifier_status, agent_id, property_id, district_id, agent_name, property_name, district_name, app_version, sys_version, room_version, network_type, beacon_count, stock_status, voice_status, voice_value, blue_work_state, app_customized_version, app_customized_flag
    </sql>

</mapper>
